com.salesforce.hyperdb.grpc

## Interface QueryResultHeaderOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  QueryResultHeader, QueryResultHeader.Builder

    public interface QueryResultHeaderOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`QueryCommandOk` `getCommand()` `.salesforce.hyperdb.grpc.v1.QueryCommandOk command = 2;`
`QueryCommandOkOrBuilder` `getCommandOrBuilder()` `.salesforce.hyperdb.grpc.v1.QueryCommandOk command = 2;`
`QueryResultHeader.HeaderCase` `getHeaderCase()`
`QueryResultSchema` `getSchema()` `.salesforce.hyperdb.grpc.v1.QueryResultSchema schema = 1;`
`QueryResultSchemaOrBuilder` `getSchemaOrBuilder()` `.salesforce.hyperdb.grpc.v1.QueryResultSchema schema = 1;`
`boolean` `hasCommand()` `.salesforce.hyperdb.grpc.v1.QueryCommandOk command = 2;`
`boolean` `hasSchema()` `.salesforce.hyperdb.grpc.v1.QueryResultSchema schema = 1;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### hasSchema

    boolean hasSchema()

`.salesforce.hyperdb.grpc.v1.QueryResultSchema schema = 1;`

Returns:
  Whether the schema field is set.

#### getSchema

    QueryResultSchema getSchema()

`.salesforce.hyperdb.grpc.v1.QueryResultSchema schema = 1;`

Returns:
  The schema.

#### getSchemaOrBuilder

    QueryResultSchemaOrBuilder getSchemaOrBuilder()

`.salesforce.hyperdb.grpc.v1.QueryResultSchema schema = 1;`

#### hasCommand

    boolean hasCommand()

`.salesforce.hyperdb.grpc.v1.QueryCommandOk command = 2;`

Returns:
  Whether the command field is set.

#### getCommand

    QueryCommandOk getCommand()

`.salesforce.hyperdb.grpc.v1.QueryCommandOk command = 2;`

Returns:
  The command.

#### getCommandOrBuilder

    QueryCommandOkOrBuilder getCommandOrBuilder()

`.salesforce.hyperdb.grpc.v1.QueryCommandOk command = 2;`

#### getHeaderCase

    QueryResultHeader.HeaderCase getHeaderCase()